interface IUserCreate {
    email: string;
    name: string;
    password: string;
    username: string;
    active?: boolean;
    roles?: Array<string>;
    joinDefaultChannels?: boolean;
    requirePasswordChange?: boolean;
    sendWelcomeEmail?: boolean;
    verified?: boolean;
    customFields?: any;
}

interface IUserUpdate {
    userId: string;
    data: {
        email?: string;
        name?: string;
        password?: string;
        username?: string;
        active?: boolean;
        roles?: Array<string>;
        joinDefaultChannels?: boolean;
        requirePasswordChange?: boolean;
        sendWelcomeEmail?: boolean;
        verified?: boolean;
        customFields?: any;
    };
}

interface IUserDelete {
    userId: string;
    confirmRelinquish?: boolean;
}

interface IUser {
    _id: string;
    emails: Array<{ address: string; verified: boolean }>;
    name: string;
    username: string;
    active?: boolean;
    createdAt: string;
    _updatedAt?: string;
}

interface ITeam {
    _id: string;
    name: string;
    active?: boolean;
    createdAt: string;
    _updatedAt?: string;
}

interface ITeamMember {
    user: {
        _id: string;
        name: string;
        username: string;
    };
    createdAt: string;
}
